> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heybee.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List Notifications



## OpenAPI

````yaml /openapi.json get /v1/notifications
openapi: 3.1.0
info:
  description: Customer-owned evaluation lifecycle API.
  title: HeyBee Public API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.heybee.app
security: []
paths:
  /v1/notifications:
    get:
      tags:
        - Notifications
      summary: List Notifications
      operationId: list_notifications_v1_notifications_get
      parameters:
        - in: query
          name: limit
          required: false
          schema:
            default: 30
            maximum: 100
            minimum: 1
            title: Limit
            type: integer
        - in: query
          name: offset
          required: false
          schema:
            default: 0
            minimum: 0
            title: Offset
            type: integer
        - in: query
          name: unread_only
          required: false
          schema:
            default: false
            title: Unread Only
            type: boolean
        - in: query
          name: type
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Type
        - in: query
          name: category
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Category
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-API-Key
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotificationListResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
        - ApiKeyAuth: []
components:
  schemas:
    NotificationListResponse:
      properties:
        notifications:
          items:
            $ref: '#/components/schemas/NotificationResponse'
          title: Notifications
          type: array
        total:
          title: Total
          type: integer
        unread_total:
          title: Unread Total
          type: integer
      required:
        - notifications
        - total
        - unread_total
      title: NotificationListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    NotificationResponse:
      properties:
        action_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Action Url
        archived_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Archived At
        body:
          title: Body
          type: string
        category:
          title: Category
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        expires_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Expires At
        id:
          format: uuid
          title: Id
          type: string
        payload:
          additionalProperties: true
          title: Payload
          type: object
        read_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Read At
        status:
          enum:
            - unread
            - read
            - archived
          title: Status
          type: string
        title:
          title: Title
          type: string
        type:
          title: Type
          type: string
        user_id:
          format: uuid
          title: User Id
          type: string
      required:
        - id
        - user_id
        - type
        - category
        - title
        - body
        - status
        - created_at
      title: NotificationResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: Supabase JWT
      scheme: bearer
      type: http
    ApiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````